org.eclipse.oomph.setup

## Interface Stream

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Implementing Classes:
    StreamImpl

      public interface Stream
      extends Scope

  A representation of the model object 'Branch'.

  The following features are supported:

  - `Project`
  See Also:
    `SetupPackage.getStream()`
  Generated
  Model

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Project` | `getProject()` Returns the value of the 'Project' container reference.
    `void` | `setProject(Project value)` Sets the value of the '`Project`' container reference.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getProject

          Project getProject()

      Returns the value of the 'Project' container reference. It is bidirectional and its opposite is '`Streams`'.

      If the meaning of the 'Project' container reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Project' container reference.
      See Also:
        `setProject(Project)`, `SetupPackage.getStream_Project()`, `Project.getStreams()`
      Generated
      Model
        opposite="streams"

    - #### setProject

          void setProject(Project value)

      Sets the value of the '`Project`' container reference.
      Parameters:
        `value` - the new value of the 'Project' container reference.
      See Also:
        `getProject()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html